@import '../../src-core/theme/variables';
@import './media';

// large
$lg: 1200px !default;
$lg-min: $lg !default;
$lg-max: ($lg-min - 1) !default;

// medium
$md: 992px !default;
$md-min: $md !default;
$md-max: ($md-min - 1) !default;

// small
$sm: 768px !default;
$sm-min: $sm !default;
$sm-max: ($sm-min - 1) !default;

// queries
$lg: #{'(min-width:'$lg-min')'};
$md: #{'(min-width:'$md-min') and (max-width: '$lg-max')'};
$sm: #{'(min-width:'$sm-min') and (max-width:'$md-max')'};
$xs: #{'(max-width:'$sm-max')'};

// COLORS
$background-color: #fff;
$light-txt-grey-50: rgba(186, 186, 186, .5);
$windows-blue-four: #4b89c8;
$kermit-green-two: #5bbe00;
$grad-bot-f0: #f0f0f0;
$sep-on-white: #ddd;
$white-two: #f5f5f5;
$white-four: #fefefe;
$white-six: #e5e5e5;
$white-eight: #f4f4f4;
$white-eleven: #d4d4d4;
$white-twelve: #f9f9f9;
$cool-grey: #919ca1;
$origin-grey: #666a6c;
$med-grey-txt: #707070;
$pinkish-grey: #ccc;
$pinkish-grey-four: #bababa;
$nasty-green: #6db63d;
$green-apple: #74e011;
$green-apple-two: #74df11;
$grassy-green-two: #4ea400;
$grassy-green-three: #4ea300;
$white-off: #f8fff2;
$squash-two: #ea9e1f;
$orange: #e15f00;
$faded-orange-two: #e89d41;
$windows-blue-six: #3392b9;
$soft-blue: #59a3ef;
$scarlet-two: #c9081f;
$tomato-two: #ee4d4d;
$vermillion: #d90f0f;
$dark-txt: #333;
$greyish-brown-three: #4a4a4a;
$pale-grey: #f2f6f7;

$light-sage: #e7f6d9;
$turtle-green: #6cc04a;
$lightish-green: #83e25c;
$lightish-green-two: #83e25c;
$mid-green: #5ca23f;
$light-grey-green: #b5e28c;
$cool-blue-two: #46a8c6;
$lightblue: #5dc9ea;
$dark-sky-blue-three: #5ec1df;
$blood-orange: #ff5000;
$orange-new: #ff8300;
$light-tan: #f9c9c9;
$light-grey-green-two: #d2ecc8;
$placeholder-color: $pinkish-grey;

// SIZES
$input-height: 28px;
$input-height-lg: 34px;
$header-height: 100 px;

// MIXINS
@mixin ellipsis($lines-to-show: 2, $line-height: 1.4, $font-size: 14px) {
  display: block; /* Fallback for non-webkit */
  /* stylelint-disable value-no-vendor-prefix, property-no-vendor-prefix */
  display: -webkit-box;
  //height: $line-height*$lines-to-show*$font-size; /* Fallback for non-webkit */
  max-height: #{$line-height*$lines-to-show}em; /* if px convert to em  */
  margin: 0;
  font-size: $font-size;
  line-height: $line-height;
  -webkit-line-clamp: $lines-to-show;
  -webkit-box-orient: vertical;
  overflow: hidden;
  text-overflow: ellipsis;
}

